##########################################################
# $Id: autorpm.conf,v 1.5 1998/10/29 21:05:37 kirk Exp $
##########################################################
# Created by Kirk Bauer <kirk@kaybee.org>
# http://www.kaybee.org/~kirk
# Modified by Dan Yocum <yocum@fnal.gov>
# http://www.fnal.gov/cd/unix/linux
# Modified by Connie Sieh for theory
##########################################################

# See /usr/doc/autorpm*/samples.conf for some samples
# `man autorpm.conf` for details

#Report_Queues_To ("PRINT");
Report_Queues_To ("");

##########################################################
# This will keep your computer current with Red Hat's
# updates for Fermi Red Hat Linux 5.0.2:

# This is the local Fermi Red Hat Linux 5.0.2 mirror...
ftp ("linux.fnal.gov:/linux/current/i386/updates/RPMS") {

   # Don't print the report, but mail it instead.
   # Report_To ("PRINT");
   Report_To ("root,autorpm@dcdsv0.fnal.gov");
   # Uncomment the next line to always get a report, even if nothing happened
   #Report_All (Yes);

   # Don't upgrade kernel packages...
   Regex_Ignore ("^kernel-");

   action (updated) {

      # Automatically install these official updates
      Install (Auto);

      Report (Yes);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/fermi-rpm-updates/i386");
   }

   action (new) {

      # Interactively install these new updates
      Install (No);

      Report (No);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/fermi-rpm-updates/i386");
   }
}

##########################################################
# On occasion we realize that we've accidentally omitted a package from the 
# default installation that will enhance the usability a machine.  These are 
# not mission critical packages.. just niceities.

# This is the Fermi Red Hat Linux add-ons directory...
ftp ("linux.fnal.gov:/linux/current/i386/Fermi/addons/RPMS") {

   # Don't print the report, but mail it instead.
   #Report_To ("PRINT");
   Report_To ("root,autorpm@dcdsv0.fnal.gov");
   # Uncomment the next line to always get a report, even if nothing happened
   #Report_All (Yes);

   # Don't upgrade kernel packages...
   Regex_Ignore ("^kernel-");

   action (new) {

      # Automatically install these new updates
      Install (Auto);

      Report (Yes);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/fermi-rpm-updates/i386");
   }
}
#########################################################################
## Just for Theory    
ftp ("linux.fnal.gov:/linux/current/i386/Fermi/workgroups/theory/RPMS") {

   # Don't print the report, but mail it instead.
   # Report_To ("PRINT");
   Report_To ("root,autorpm@dcdsv0.fnal.gov");
   # Uncomment the next line to always get a report, even if nothing happened
   #Report_All (Yes);

   # Don't upgrade kernel packages...
   Regex_Ignore ("^kernel-");

   action (updated) {

      # Automatically install these official updates
      Install (Auto);

      Report (Yes);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/fermi-rpm-updates/i386");
   }

   action (new) {

      # Interactively install these new updates
      Install (Auto);

      Report (Yes);

      # Uncomment the next line to keep local copies of the updates...
      # Store ("/fermi-rpm-updates/i386");
   }
}

##########################################################
# This one will a find new versions of 'autorpm' on linux.fnal.gov and install 
# it.

ftp ("linux.fnal.gov/linux/current/i386/contrib/RPMS") {

   # We only care about the 'autorpm' file...
   Regex_Accept ("^autorpm"); 

   # Ignore the autorpm-config files...
   Regex_Ignore ("^autorpm-security-config");
   Regex_Ignore ("^autorpm-addons-config");

   # Don't print the report, but mail it instead.
   #Report_To ("PRINT");
   Report_To ("root,autorpm@dcdsv0.fnal.gov");
   # Uncomment the next line to always get a report, even if nothing happened
   #Report_All (Yes);

   action (updated) {
      Install (Auto);
      Report (Yes);
   }

}

##########################################################
# $Log: autorpm.conf,v $
# Revision 1.5  1998/10/29 21:05:37  kirk
# Added LSM support...
#
# Revision 1.4  1998/03/14 00:55:36  kirk
# Prepping for Version 1.4
#
# Revision 1.3  1998/03/12 06:19:09  kirk
# Just about ready for Version 1.3
#
# Revision 1.2  1998/03/11 17:32:45  kirk
# Version 1.21 ready...
#
# Revision 1.1  1998/03/11 10:23:47  kirk
# Now, Version 1.2 is ready!
#
##########################################################
